ModernLoop Internal API
Apigithub

List conversation and line-level review comments on a pull request

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/github/repos/string/string/pulls/{number}/comments" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "issueComments": [    {      "id": 0,      "body": "string",      "user": {        "login": "string",        "id": 0      },      "html_url": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "reviewComments": [    {      "id": 0,      "body": "string",      "user": {        "login": "string",        "id": 0      },      "path": "string",      "line": 0,      "original_line": 0,      "side": "string",      "start_line": 0,      "original_start_line": 0,      "start_side": "string",      "commit_id": "string",      "diff_hunk": "string",      "in_reply_to_id": 0,      "html_url": "string",      "created_at": "string",      "updated_at": "string"    }  ]}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

owner*string

Repository owner (user or organization)

repo*string

Repository name

number?|

Pull request number

Query Parameters

page?integer

Page number (1-based)

Range1 <= value
Default1
perPage?integer

Results per page (max 100)

Range1 <= value <= 100
Default30

Response Body

application/json

application/json

application/json

application/json

application/json